/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.classloader.service;

/**
 * Information about Applications
 * @author Florent Benoit
 *
 */
public class ApplicationsInfo implements Comparable<ApplicationsInfo>{

    /**
     * ObjectName of the application.
     */
    private String ObjectName = null;

    /**
     * Name of the application.
     */
    private String name = null;


    public String getObjectName() {
        return ObjectName;
    }

    public void setObjectName(final String objectName) {
        ObjectName = objectName;
    }

    public String getName() {
        return name;
    }

    public void setName(final String name) {
        this.name = name;
    }

    /**
     * Allows to sort these objects
     */
    public int compareTo(final ApplicationsInfo otherApplicationsInfo) {
        if (name != null && otherApplicationsInfo != null) {
            return name.compareTo(otherApplicationsInfo.name);
        }
        return 0;
    }



}
